-- (c) Copyright 1995-2019 Xilinx, Inc. All rights reserved.
-- 
-- This file contains confidential and proprietary information
-- of Xilinx, Inc. and is protected under U.S. and
-- international copyright and other intellectual property
-- laws.
-- 
-- DISCLAIMER
-- This disclaimer is not a license and does not grant any
-- rights to the materials distributed herewith. Except as
-- otherwise provided in a valid license issued to you by
-- Xilinx, and to the maximum extent permitted by applicable
-- law: (1) THESE MATERIALS ARE MADE AVAILABLE "AS IS" AND
-- WITH ALL FAULTS, AND XILINX HEREBY DISCLAIMS ALL WARRANTIES
-- AND CONDITIONS, EXPRESS, IMPLIED, OR STATUTORY, INCLUDING
-- BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, NON-
-- INFRINGEMENT, OR FITNESS FOR ANY PARTICULAR PURPOSE; and
-- (2) Xilinx shall not be liable (whether in contract or tort,
-- including negligence, or under any other theory of
-- liability) for any loss or damage of any kind or nature
-- related to, arising under or in connection with these
-- materials, including for any direct, or any indirect,
-- special, incidental, or consequential loss or damage
-- (including loss of data, profits, goodwill, or any type of
-- loss or damage suffered as a result of any action brought
-- by a third party) even if such damage or loss was
-- reasonably foreseeable or Xilinx had been advised of the
-- possibility of the same.
-- 
-- CRITICAL APPLICATIONS
-- Xilinx products are not designed or intended to be fail-
-- safe, or for use in any application requiring fail-safe
-- performance, such as life-support or safety devices or
-- systems, Class III medical devices, nuclear facilities,
-- applications related to the deployment of airbags, or any
-- other applications that could lead to death, personal
-- injury, or severe property or environmental damage
-- (individually and collectively, "Critical
-- Applications"). Customer assumes the sole risk and
-- liability of any use of Xilinx products in Critical
-- Applications, subject only to applicable laws and
-- regulations governing limitations on product liability.
-- 
-- THIS COPYRIGHT NOTICE AND DISCLAIMER MUST BE RETAINED AS
-- PART OF THIS FILE AT ALL TIMES.
-- 
-- DO NOT MODIFY THIS FILE.

-- IP VLNV: xilinx.com:module_ref:vga_to_hdmi:1.0
-- IP Revision: 1

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
USE ieee.numeric_std.ALL;

ENTITY AXV7_OV7670_HDMI_vga_to_hdmi_0_0 IS
  PORT (
    pixel_clk : IN STD_LOGIC;
    pixel_clk_x5 : IN STD_LOGIC;
    reset : IN STD_LOGIC;
    vga_hsync : IN STD_LOGIC;
    vga_vsync : IN STD_LOGIC;
    vga_red : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
    vga_green : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
    vga_blue : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
    vga_blank : IN STD_LOGIC;
    hdmi_tx_clk_p : OUT STD_LOGIC;
    hdmi_tx_clk_n : OUT STD_LOGIC;
    hdmi_tx_p : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
    hdmi_tx_n : OUT STD_LOGIC_VECTOR(2 DOWNTO 0)
  );
END AXV7_OV7670_HDMI_vga_to_hdmi_0_0;

ARCHITECTURE AXV7_OV7670_HDMI_vga_to_hdmi_0_0_arch OF AXV7_OV7670_HDMI_vga_to_hdmi_0_0 IS
  ATTRIBUTE DowngradeIPIdentifiedWarnings : STRING;
  ATTRIBUTE DowngradeIPIdentifiedWarnings OF AXV7_OV7670_HDMI_vga_to_hdmi_0_0_arch: ARCHITECTURE IS "yes";
  COMPONENT vga_to_hdmi IS
    PORT (
      pixel_clk : IN STD_LOGIC;
      pixel_clk_x5 : IN STD_LOGIC;
      reset : IN STD_LOGIC;
      vga_hsync : IN STD_LOGIC;
      vga_vsync : IN STD_LOGIC;
      vga_red : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
      vga_green : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
      vga_blue : IN STD_LOGIC_VECTOR(7 DOWNTO 0);
      vga_blank : IN STD_LOGIC;
      hdmi_tx_clk_p : OUT STD_LOGIC;
      hdmi_tx_clk_n : OUT STD_LOGIC;
      hdmi_tx_p : OUT STD_LOGIC_VECTOR(2 DOWNTO 0);
      hdmi_tx_n : OUT STD_LOGIC_VECTOR(2 DOWNTO 0)
    );
  END COMPONENT vga_to_hdmi;
  ATTRIBUTE X_CORE_INFO : STRING;
  ATTRIBUTE X_CORE_INFO OF AXV7_OV7670_HDMI_vga_to_hdmi_0_0_arch: ARCHITECTURE IS "vga_to_hdmi,Vivado 2018.3";
  ATTRIBUTE CHECK_LICENSE_TYPE : STRING;
  ATTRIBUTE CHECK_LICENSE_TYPE OF AXV7_OV7670_HDMI_vga_to_hdmi_0_0_arch : ARCHITECTURE IS "AXV7_OV7670_HDMI_vga_to_hdmi_0_0,vga_to_hdmi,{}";
  ATTRIBUTE CORE_GENERATION_INFO : STRING;
  ATTRIBUTE CORE_GENERATION_INFO OF AXV7_OV7670_HDMI_vga_to_hdmi_0_0_arch: ARCHITECTURE IS "AXV7_OV7670_HDMI_vga_to_hdmi_0_0,vga_to_hdmi,{x_ipProduct=Vivado 2018.3,x_ipVendor=xilinx.com,x_ipLibrary=module_ref,x_ipName=vga_to_hdmi,x_ipVersion=1.0,x_ipCoreRevision=1,x_ipLanguage=VHDL,x_ipSimLanguage=MIXED}";
  ATTRIBUTE IP_DEFINITION_SOURCE : STRING;
  ATTRIBUTE IP_DEFINITION_SOURCE OF AXV7_OV7670_HDMI_vga_to_hdmi_0_0_arch: ARCHITECTURE IS "module_ref";
  ATTRIBUTE X_INTERFACE_INFO : STRING;
  ATTRIBUTE X_INTERFACE_PARAMETER : STRING;
  ATTRIBUTE X_INTERFACE_PARAMETER OF hdmi_tx_clk_n: SIGNAL IS "XIL_INTERFACENAME hdmi_tx_clk_n, FREQ_HZ 100000000, PHASE 0.000, CLK_DOMAIN AXV7_OV7670_HDMI_vga_to_hdmi_0_0_hdmi_tx_clk_n, INSERT_VIP 0";
  ATTRIBUTE X_INTERFACE_INFO OF hdmi_tx_clk_n: SIGNAL IS "xilinx.com:signal:clock:1.0 hdmi_tx_clk_n CLK";
  ATTRIBUTE X_INTERFACE_PARAMETER OF hdmi_tx_clk_p: SIGNAL IS "XIL_INTERFACENAME hdmi_tx_clk_p, FREQ_HZ 100000000, PHASE 0.000, CLK_DOMAIN AXV7_OV7670_HDMI_vga_to_hdmi_0_0_hdmi_tx_clk_p, INSERT_VIP 0";
  ATTRIBUTE X_INTERFACE_INFO OF hdmi_tx_clk_p: SIGNAL IS "xilinx.com:signal:clock:1.0 hdmi_tx_clk_p CLK";
  ATTRIBUTE X_INTERFACE_PARAMETER OF reset: SIGNAL IS "XIL_INTERFACENAME reset, POLARITY ACTIVE_LOW, INSERT_VIP 0";
  ATTRIBUTE X_INTERFACE_INFO OF reset: SIGNAL IS "xilinx.com:signal:reset:1.0 reset RST";
  ATTRIBUTE X_INTERFACE_PARAMETER OF pixel_clk: SIGNAL IS "XIL_INTERFACENAME pixel_clk, FREQ_HZ 100000000, PHASE 0.000, INSERT_VIP 0";
  ATTRIBUTE X_INTERFACE_INFO OF pixel_clk: SIGNAL IS "xilinx.com:signal:clock:1.0 pixel_clk CLK";
BEGIN
  U0 : vga_to_hdmi
    PORT MAP (
      pixel_clk => pixel_clk,
      pixel_clk_x5 => pixel_clk_x5,
      reset => reset,
      vga_hsync => vga_hsync,
      vga_vsync => vga_vsync,
      vga_red => vga_red,
      vga_green => vga_green,
      vga_blue => vga_blue,
      vga_blank => vga_blank,
      hdmi_tx_clk_p => hdmi_tx_clk_p,
      hdmi_tx_clk_n => hdmi_tx_clk_n,
      hdmi_tx_p => hdmi_tx_p,
      hdmi_tx_n => hdmi_tx_n
    );
END AXV7_OV7670_HDMI_vga_to_hdmi_0_0_arch;
