----------------------------------------------------------------------------------
-- COPYRIGHT 2019 Victor Ral Arteaga Prez
--This program is free software: you can redistribute it and/or modify
--it under the terms of the GNU General Public License as published by
--the Free Software Foundation, either version 3 of the License, or
--(at your option) any later version.
--
--This program is distributed in the hope that it will be useful,
--but WITHOUT ANY WARRANTY; without even the implied warranty of
--MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--GNU General Public License for more details.
--
--You should have received a copy of the GNU General Public License
--along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
--
-- Description: Cdigo VHDL para inferir una RAM de 230,400 bytes a 16 bits
--


library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;

entity camara_ram is
    port( 
        clk_rd: in std_logic;
        address_rd : in std_logic_vector(17 downto 0);
        data_rd: out std_logic_vector(15 downto 0);
        clk_wr: in std_logic;
        address_wr : in std_logic_vector(17 downto 0);
        data_wr: in std_logic_vector(15 downto 0)
    ); 
end camara_ram;

architecture Behavioral of camara_ram is
type ram_t is array (0 to 230399) of std_logic_vector(15 downto 0);
signal ram: ram_t := (others => (others => '0'));
begin

process(clk_rd,clk_wr)
begin

	if(clk_rd'event and clk_rd = '1') then
		data_rd <= ram(to_integer(unsigned(address_rd)));
	end if;
	
	if(clk_wr'event and clk_wr = '1') then
		ram(to_integer(unsigned(address_wr))) <= data_wr;
	end if;
	
end process;

end Behavioral;
